For the complete documentation index, see llms.txt. This page is also available as Markdown.

Roles

get
Authorizations
AuthorizationstringRequired

Authenticate using Bearer <jwt> format for internal endpoints

Query parameters
searchstringOptional

A search term.

orderingstringOptional

Which field to use when ordering the results.

role_typestring · enumOptional

role_type

Possible values:
is_primarystringOptional

is_primary

organizationstringOptional

organization

personstringOptional

person

pageintegerOptional

Page number to retrieve (1-indexed).

page_sizeintegerOptional

Number of results per page. Defaults to the pagination class's page size and respects the configured maximum.

Responses
200Success
application/json
countintegerRequired
nextstring · uri · nullableOptional
previousstring · uri · nullableOptional
get/roles/
GET /relabase/api/v1/public/roles/ HTTP/1.1
Host: api.rekap.com
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "count": 1,
  "next": "https://example.com",
  "previous": "https://example.com",
  "results": [
    {
      "id": 1,
      "uuid": "123e4567-e89b-12d3-a456-426614174000",
      "title": "text",
      "organization": {
        "id": 1,
        "uuid": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "type": "text",
        "archived": "2026-01-01T00:00:00.000Z"
      },
      "start_date": "2026-01-01",
      "end_date": "2026-01-01",
      "is_primary": true,
      "role_type": "employee"
    }
  ]
}
get
Authorizations
AuthorizationstringRequired

Authenticate using Bearer <jwt> format for internal endpoints

Path parameters
idstringRequired
Responses
200Success
application/json
idintegerRead-onlyOptional
uuidstring · uuidRead-onlyOptional
titlestring · min: 1Read-onlyOptional
start_datestring · dateRead-onlyOptional
end_datestring · date · nullableRead-onlyOptional
is_primarybooleanRead-onlyOptional
role_typestring · enumRead-onlyOptionalPossible values:
createdstring · date-timeRead-onlyOptional
modifiedstring · date-timeRead-onlyOptional
get/roles/{id}/
GET /relabase/api/v1/public/roles/{id}/ HTTP/1.1
Host: api.rekap.com
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "id": 1,
  "uuid": "123e4567-e89b-12d3-a456-426614174000",
  "title": "text",
  "organization": {
    "id": 1,
    "uuid": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "type": "text",
    "archived": "2026-01-01T00:00:00.000Z"
  },
  "start_date": "2026-01-01",
  "end_date": "2026-01-01",
  "is_primary": true,
  "role_type": "employee",
  "person": {
    "id": 1,
    "uuid": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "first_name": "text",
    "last_name": "text",
    "preferred_name": "text",
    "linkedin_url": "https://example.com",
    "phone": "text",
    "primary_work_email": "text",
    "primary_personal_email": "text",
    "archived": "2026-01-01T00:00:00.000Z",
    "created": "2026-01-01T00:00:00.000Z",
    "modified": "2026-01-01T00:00:00.000Z"
  },
  "relationship_contexts": [
    {
      "id": 1,
      "relationship": 1,
      "relationship_uuid": "123e4567-e89b-12d3-a456-426614174000",
      "relationship_role": "text",
      "description": "text",
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z"
    }
  ],
  "created": "2026-01-01T00:00:00.000Z",
  "modified": "2026-01-01T00:00:00.000Z"
}

Last updated